MWAWTableInternal::Compare::Point Struct Reference

small structure to define a cell point More...

## Public Member Functions
| Point (int wh, MWAWCell const *cell, int cellId)
float | getPos (int coord) const
float | getSize (int coord) const
| returns the cells size

## Public Attributes
int | m_which
| the position of the point in the cell (0: LT, 1: RB)
MWAWCell const * | m_cell
| the cell
int | m_cellId
| the cell id ( used by compare)

## Detailed Description

small structure to define a cell point

## Constructor & Destructor Documentation

## ◆ Point()

MWAWTableInternal::Compare::Point::Point | ( | int | wh,
|  | MWAWCell const * | cell,
|  | int | cellId )
| inline

## Member Function Documentation

## ◆ getPos()

float MWAWTableInternal::Compare::Point::getPos | ( | int | coord | ) | const
| inline

Referenced by MWAWTableInternal::Compare::operator()().

## ◆ getSize()

float MWAWTableInternal::Compare::Point::getSize | ( | int | coord | ) | const
| inline

returns the cells size

## Member Data Documentation

## ◆ m_cell

MWAWCell const* MWAWTableInternal::Compare::Point::m_cell

the cell

Referenced by getPos(), getSize(), MWAWTableInternal::Compare::operator()(), and Point().

## ◆ m_cellId

int MWAWTableInternal::Compare::Point::m_cellId

the cell id ( used by compare)

Referenced by MWAWTableInternal::Compare::operator()(), and Point().

## ◆ m_which

int MWAWTableInternal::Compare::Point::m_which

the position of the point in the cell (0: LT, 1: RB)

Referenced by getPos(), MWAWTableInternal::Compare::operator()(), and Point().

The documentation for this struct was generated from the following file:

- MWAWTable.cxx